---
id: 616d3a67ccf800ad94ec89ae
title: Step 9
challengeType: 0
dashedName: step-9
---

# --description--

Now you'll add some elements that you'll eventually style into color markers.

First, within the `body` element, add a `div` element and set its `class` attribute to `container`. Make sure the `div` element is below the `h1` element.

# --hints--

You should have an opening `div` tag.

```js
assert(code.match(/<div.*>/i));
```

You should have a closing `div` tag.

```js
assert(code.match(/<\/div\s*>/i));
```

Your `div` element should be within your `body` element.

```js
assert(document.querySelector('div')?.parentElement?.localName === 'body');
```

Your `div` element should be after the `h1` element.

```js
assert.exists(document.querySelector('h1 + div'));
```

Your `div` element should have a `class` attribute set to `container`.

```js
assert(document.querySelector('div')?.classList?.contains('container'));
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Colored Markers</title>
    <link rel="stylesheet" href="styles.css">
  </head>
--fcc-editable-region--
  <body>
    <h1>CSS Color Markers</h1>
  </body>
--fcc-editable-region--
</html>
```

```css
h1 {
  text-align: center;
}
```
